Ben
Burton
12 de Abril, 2003
kapptemplate
1

# `kapptemplate`

Crea un marco de trabajo para desarrollar una aplicación de KDE

    kapptemplate --noinit --default --full-app --kpart-app --kpart-plugin --existing --help

## Descripción

`kapptemplate` es un script de shell que crea el marco de trabajo necesario para desarrollar varias aplicaciones de &kde;. Tiene en cuenta el código de autoconf/automake y aporta un buen ejemplo para que se haga una idea del aspecto del código.

Esta herramienta forma parte del kit de desarrollo de &kde;.

## Opciones

### Opciones Generales

`--help`

  Muestra una lista completa de las opciones disponibles.

`--no-init`

  No ejecuta `make` `-f` `Makefile.cvs`

`--default`

  Utiliza los valores por omisión en lugar de los aportados como argumentos.

### Tipos de marcos de trabajo

`--full-app`

  Crea una aplicación de KDE completa.

`--kpart-app`

  Crea un Kpart completo

`--kpart-plugin`

  Crea un marco de trabajo para un plugin Kpart.

`--existing`

  Adecúa el código fuente actual a un marco de trabajo de autoconf/automake para KDE.

## Archivos

`~/.kapptemplate`

  Guarda los parámetros por omisión.

## Vea también

`$PREFIX/share/doc/kapptemplate`

## Autores

`kapptemplate` fue escrito por &Kurt.Granroth; &Kurt.Granroth.mail;

Está página de manual fue redactada por Ben Burton bab@debian.org